## javax.faces.application
Class FacesMessage

    java.lang.Object
      javax.faces.application.FacesMessage

All Implemented Interfaces:
  java.io.Serializable

public class FacesMessage
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 225333 $ $Date: 2005-07-26 11:49:19 -0400 (Tue, 26 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Nested Class Summary
`static class` `FacesMessage.Severity`

Field Summary
`static java.lang.String` `FACES_MESSAGES`
`static FacesMessage.Severity` `SEVERITY_ERROR`
`static FacesMessage.Severity` `SEVERITY_FATAL`
`static FacesMessage.Severity` `SEVERITY_INFO`
`static FacesMessage.Severity` `SEVERITY_WARN`
`static java.util.List` `VALUES`
`static java.util.Map` `VALUES_MAP`

Constructor Summary
`FacesMessage()`
`FacesMessage(FacesMessage.Severity severity, java.lang.String summary, java.lang.String detail)`
`FacesMessage(java.lang.String summary)`
`FacesMessage(java.lang.String summary, java.lang.String detail)`

Method Summary
`java.lang.String` `getDetail()`
`FacesMessage.Severity` `getSeverity()`
`java.lang.String` `getSummary()`
`void` `setDetail(java.lang.String detail)`
`void` `setSeverity(FacesMessage.Severity severity)`
`void` `setSummary(java.lang.String summary)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACES_MESSAGES

    public static final java.lang.String FACES_MESSAGES

See Also:
  Constant Field Values

### SEVERITY_INFO

    public static final FacesMessage.Severity SEVERITY_INFO

### SEVERITY_WARN

    public static final FacesMessage.Severity SEVERITY_WARN

### SEVERITY_ERROR

    public static final FacesMessage.Severity SEVERITY_ERROR

### SEVERITY_FATAL

    public static final FacesMessage.Severity SEVERITY_FATAL

### VALUES

    public static final java.util.List VALUES

### VALUES_MAP

    public static final java.util.Map VALUES_MAP

Constructor Detail

### FacesMessage

    public FacesMessage()

### FacesMessage

    public FacesMessage(java.lang.String summary)

### FacesMessage

    public FacesMessage(java.lang.String summary,
                        java.lang.String detail)

### FacesMessage

    public FacesMessage(FacesMessage.Severity severity,
                        java.lang.String summary,
                        java.lang.String detail)

Method Detail

### getSeverity

    public FacesMessage.Severity getSeverity()

### setSeverity

    public void setSeverity(FacesMessage.Severity severity)

### getSummary

    public java.lang.String getSummary()

### setSummary

    public void setSummary(java.lang.String summary)

### getDetail

    public java.lang.String getDetail()

### setDetail

    public void setDetail(java.lang.String detail)